Requesting DataReal-time Data Requests

Real-time Data Requests

Get the web data you need in real-time using the Datafiniti scrape API.

curl -X POST "https://api.datafiniti.co/v4/scrape" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "query": "example_string",
  "num_records": 42
}'
{}
POST
/scrape
POST
Bearer Token
Bearer Tokenstring
Required

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>
Content-Typestring
Required

The media type of the request body

Options: application/json
querystring

Query for the real-time data request

num_recordsinteger

Number of records to scrape in real-time

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Bearer token obtained from the /auth endpoint. Include in requests as: Authorization: Bearer <token>

Body

application/json
querystring

Query for the real-time data request

num_recordsinteger

Number of records to scrape in real-time

Responses

Real-time request created successfully